#include <bits/stdc++.h>
using namespace std;
int n,niz[100007],q,tip,k,x,brk;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cin>>n;
    brk=0;
    for(int i=1;i<=n;i++){
        cin>>niz[i];
        if(niz[i]==1)brk++;
    }
    cin>>q;

    while(q--){
        cin>>tip;
        if(tip==0){
           cin>>x;
           if(x<=brk)cout<<1<<endl;
           else cout<<0<<endl;
        }
        else{
            cin>>k>>x;
            if(k<=x and brk>0)brk--;
            else brk++;
        }
    }

return 0;
}